
/*************************************************************************************************
This file is part of wxControlAsistencia

Copyright (C) 2009 Ezequiel Gastn Miravalles

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*************************************************************************************************/

/*************************************************************************************************
Software: wxControlAsistencia
Author: Ezequiel Gastn Miravalles
Website: http://www.neoegm.com/es/tech/programming/c-cpp/wxwidgets/wx-control-de-asistencia/
License: GNU GPL v3 (attached, read above)
*************************************************************************************************/

//---------------------------------------------------------------------------
//
// Name:        wxControlAsistenciaDlg.h
// Author:      NeoEGM
// Created:     23/06/2009 8:11:25 PM
// Description: wxControlAsistenciaDlg class declaration
//
//---------------------------------------------------------------------------

#ifndef __WXCONTROLASISTENCIADLG_h__
#define __WXCONTROLASISTENCIADLG_h__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/dialog.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers between 
//Header Include Start and Header Include End.
//wxDev-C++ designer will remove them. Add custom headers after the block.
////Header Include Start
#include <wx/button.h>
#include <wx/textctrl.h>
#include <wx/stattext.h>
#include <wx/sizer.h>
////Header Include End

#include "ControlDeAsistencia.h"

////Dialog Style Start
#undef wxControlAsistenciaDlg_STYLE
#define wxControlAsistenciaDlg_STYLE wxTAB_TRAVERSAL | wxCAPTION | wxSTAY_ON_TOP | wxDIALOG_NO_PARENT
////Dialog Style End

class wxControlAsistenciaDlg : public wxDialog
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		wxControlAsistenciaDlg(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("Control de Asistencia de Personal"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = wxControlAsistenciaDlg_STYLE);
		virtual ~wxControlAsistenciaDlg();
		void WxButton1Click(wxCommandEvent& event);
	
	private:
		//Do not add custom control declarations between 
		//GUI Control Declaration Start and GUI Control Declaration End.
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxStaticText *WxStaticText3;
		wxButton *WxButton1;
		wxTextCtrl *WxPass;
		wxStaticText *WxStaticText2;
		wxBoxSizer *WxBoxSizer3;
		wxTextCtrl *WxDNI;
		wxStaticText *WxStaticText1;
		wxBoxSizer *WxBoxSizer2;
		wxStaticText *WxStaticText4;
		wxBoxSizer *WxBoxSizer5;
		wxBoxSizer *WxBoxSizer1;
		////GUI Control Declaration End
		
		ControlDeAsistencia m_ctMain;
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_WXSTATICTEXT3 = 1045,
			ID_WXBUTTON1 = 1048,
			ID_WXPASS = 1035,
			ID_WXSTATICTEXT2 = 1027,
			ID_WXDNI = 1041,
			ID_WXSTATICTEXT1 = 1040,
			ID_WXSTATICTEXT4 = 1046,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
	
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
};

#endif
